title_name = "Sonic Unleashed"
title_id = "53450812" # SE-2066
hash = "D26ABDDDED840999" # default.xex
#media_id = [
#    "77A0CF1B" # Disc (Europe): http://redump.org/disc/57315
#    "4BED0DDE" # Disc (USA):    http://redump.org/disc/14043
#]

[[patch]]
    name = "60 FPS"
    desc = "See note about framerate patches in the README."
    author = "boma"
    is_enabled = false

    [[patch.be8]]
        address = 0x82bd24a3
        value = 0x01

[[patch]]
    name = "1280x720 Resolution"
    desc = "Original resolution is 880x720."
    author = "slashiee, ICUP321"
    is_enabled = false

    [[patch.be16]]
        address = 0x82ba902a
        value = 0x0500

[[patch]]
    name = "Disable Color Adjustment"
    desc = "Disables the yellowish color adjustment that's applied to the game screen."
    author = "slashiee, ICUP321"
    is_enabled = false

    [[patch.be32]]
        address = 0x8327b450
        value = 0x3f800000
    [[patch.be32]]
        address = 0x8327b454
        value = 0x3f800000
    [[patch.be32]]
        address = 0x8327b458
        value = 0x3f800000

[[patch]]
    name = "Disable Shadow Maps"
    desc = "Disables all dynamic shadows cast. Strongly improves performance at the expense of visual fidelity."
    author = "boma"
    is_enabled = false

    [[patch.be32]]
        address = 0x82ba6810
        value = 0x39600000

[[patch]]
    name = "Disable Depth of Field"
    author = "boma"
    is_enabled = false

    [[patch.be32]]
        address = 0x82bab224
        value = 0x60000000
    [[patch.be32]]
        address = 0x82bab178
        value = 0x39600000

[[patch]]
    name = "Disable Radial Blur"
    desc = "Does not disable gaussian blur, certain camera-based and per-object blur will still be rendered."
    author = "boma"
    is_enabled = false

    [[patch.be32]]
        address = 0x82fb9be0
        value = 0x60000000

[[patch]]
    name = "Aspect Ratio"
    desc = "See note about aspect ratio patches in the README."
    author = "boma"
    is_enabled = false

    [[patch.be32]]
        address = 0x820285b8
        value = 0x4018e38e
